diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index 67e977daf..4ffb5ee5a 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -907,7 +907,12 @@ define('pgadmin.browser', [
 
         window.open(fullUrl, 'postgres_help');
       } else if(type == 'dialog_help') {
-        window.open(url, 'pgadmin_help');
+        if (pgWindow && pgWindow.default) {
+          pgWindow.default.open(url, 'pgadmin_help');
+        }
+        else {
+          window.open(url, 'pgadmin_help');
+        }
       }
       $('#live-search-field').focus();
     },
diff --git a/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx b/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
index ff8a9c798..b79252992 100644
--- a/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
+++ b/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
@@ -412,7 +412,12 @@ export default class BodyWidget extends React.Component {
 
   onHelpClick() {
     let url = url_for('help.static', {'filename': 'erd_tool.html'});
-    window.open(url, 'pgadmin_help');
+    if (this.props.pgWindow) {
+      this.props.pgWindow.open(url, 'pgadmin_help');
+    }
+    else {
+      window.open(url, 'pgadmin_help');
+    }
   }
 
   onLoadDiagram() {
